import { EventEmitter, NgZone, OnInit } from '@angular/core';
import { ThyDialog, ThyDialogContainerComponent } from 'ngx-tethys/dialog';
import { ThyNotifyService } from 'ngx-tethys/notify';
import { ThySliderType } from 'ngx-tethys/slider';
import { Observable } from 'rxjs';
import { ThyImageCropperComponent } from './cropper.component';
import { ThyCropperImageSize, ThyCropperShape, ThyCropperViewMode } from './cropper.entity';
import * as i0 from "@angular/core";
export declare class ThyImageCropperDialogComponent implements OnInit {
    dialog: ThyDialog;
    dialogContainer: ThyDialogContainerComponent;
    private ngZone;
    /**
     * 标题
     * @default 图片
     */
    title: string;
    /**
     * 预览大小（支持多个预览）
     */
    previewSizes: ThyCropperImageSize[];
    /**
     * 图片资源
     */
    image: File | string;
    /**
     * 上传提示文案
     */
    uploadTips: string;
    /**
     * 上传指定文件后缀类型
     */
    uploadAcceptType: string;
    /**
     * 上传,单位`kb`，`0`表示没有任何限制
     */
    uploadSizeThreshold: number;
    /**
     * 图片裁剪模式
     */
    viewMode: ThyCropperViewMode;
    /**
     * 图片裁剪宽高比
     */
    aspectRatio: number;
    /**
     * 设置裁剪形状
     */
    shape: ThyCropperShape;
    /**
     * 确定按钮回调方法
     */
    confirmAction: (file: File) => Observable<any>;
    /**
     * 确定事件
     */
    thyConfirm: EventEmitter<File>;
    cropperRef: ThyImageCropperComponent;
    saving: boolean;
    notifyService: ThyNotifyService;
    scale: number;
    rotate: number;
    scaleConfig: {
        maxScale: number;
        minScale: number;
        step: number;
    };
    sliderType: ThySliderType;
    constructor(dialog: ThyDialog, dialogContainer: ThyDialogContainerComponent, ngZone: NgZone);
    ngOnInit(): void;
    selectImage(image: {
        files: File[];
    }): void;
    save(): void;
    close(): void;
    setRotate(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ThyImageCropperDialogComponent, [null, { optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThyImageCropperDialogComponent, "thy-image-cropper-dialog", never, { "title": "thyTitle"; "previewSizes": "thyPreviewSizes"; "image": "thyImage"; "uploadTips": "thyUploadTips"; "uploadAcceptType": "thyUploadAcceptType"; "uploadSizeThreshold": "thyUploadSizeThreshold"; "viewMode": "thyViewMode"; "aspectRatio": "thyAspectRatio"; "shape": "thyShape"; "confirmAction": "thyConfirmAction"; }, { "thyConfirm": "thyConfirm"; }, never, never, false, never>;
}
//# sourceMappingURL=dialog.component.d.ts.map